ExtUtils::Miniperl(3)

NAME
ExtUtils::Miniperl, writemain - write the C code for perlmain.c

SYNOPSIS
"use ExtUtils::Miniperl;"

"writemain(@directories);"

DESCRIPTION
This whole module is written when perl itself is built from a script called minimod.PL. In case you want to patch it, please patch minimod.PL in the perl distribution instead.

writemain() takes an argument list of directories containing archive libraries that relate to perl modules and should be linked into a new perl binary. It writes to STDOUT a corresponding perlmain.c file that is a plain C file containing all the bootstrap code to make the modules associated with the libraries available from within perl.

The typical usage is from within a Makefile generated by ExtUtils::MakeMaker. So under normal circumstances you won't have to deal with this module directly.

SEE ALSO
ExtUtils::MakeMaker